#!/bin/bash -x

dialog --ascii-lines --pause "Starting Image Flashing" 10 70 5
echo mount /dev/mmcblk0p2 /home/factory
mount /dev/mmcblk0p2 /home/factory

#exit

echo dd if=/home/factory/emmc.img.armbian of=/dev/mmcblk2
dd if=/home/factory/emmc.img.armbian of=/dev/mmcblk2 bs=16M status=progress

echo sync
sync

dialog --ascii-lines --msgbox "Flash Image Completed!" 10 70

echo
echo
echo  INSTALL SUCCEEDED
echo  INSTALL SUCCEEDED
echo  INSTALL SUCCEEDED
echo  INSTALL SUCCEEDED
echo
echo

